<?php

namespace Infrastructure\Services\Utilities;

use Illuminate\Database\Eloquent\Builder;

interface UtilityInterface
{
    public static function key(): string;

    public static function query(Builder $builder, mixed $value): void;
}
